package jp.agentec.abook.abv.ui.viewer.view;

import android.content.Context;
import android.graphics.Canvas;
import android.webkit.WebView;

public class EnqueteWebView extends WebView {

	protected int alpha = 255;

	public EnqueteWebView(Context context) {
		super(context);
	}
	
	@Override
	protected void onDraw(android.graphics.Canvas canvas) {	
		canvas.saveLayerAlpha(0, 0, Float.MAX_VALUE, Float.MAX_VALUE, alpha, Canvas.ALL_SAVE_FLAG);
		super.onDraw(canvas);
	}
	
	public void setAlpha(int alpha) {
		this.alpha = alpha;
		invalidate();
	}

}
